<template>
  <div :class="$style.formSelect">
    <select :class="$style.field" name="select" @change="handleInput" required>
      <option value disabled :selected="!value"></option>
      <option v-for="(item, index) in options" :key="'form-select' + index" :value="item" :selected="item == value">{{ item }}</option>
    </select>
    <label :class="$style.label">{{ label }}</label>
  </div>
</template>

<script>
import Style from './style.module.scss'

export default {
  name: "MeFormSelect",
  model: {
    prop: "value",
    event: "change"
  },
  props: {
    label: {
      type: String,
      required: true
    },
    value: {
      type: [String, Number],
      default: "text"
    },
    options: {
      type: Array,
      required: true
    },
    readonly: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    $style () {
      return Style
    }
  },
  methods: {
    handleInput(ev) {
      this.$emit("change", ev.target.value);
    }
  }
};
</script>